Page MenuHomePhabricator

stripUnnecessaryIndentPreNowikis in wikitext serializer is over-aggressive and can introduce semantic diffs
Closed, ResolvedPublic

Description

[subbu@earth:~/work/wmf/parsoid] echo "<p> *foo</p>" | parse.js --html2wt --scrubWikitext
*foo

It shouldn't strip nowikis if the new leading character is a SOL-sensitive wikitext markup char.

Event Timeline

ssastry created this task.May 15 2018, 2:11 PM
Restricted Application added subscribers: jeblad, Aklapper. · View Herald TranscriptMay 15 2018, 2:11 PM
ssastry triaged this task as Normal priority.May 15 2018, 2:11 PM
ssastry moved this task from Backlog to html2wt on the Parsoid board.

Change 433490 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Whitespace scrubbing should be sensitive to SOL-sensitive markup

https://gerrit.wikimedia.org/r/433490

Change 433490 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Whitespace scrubbing should be sensitive to SOL-sensitive markup

https://gerrit.wikimedia.org/r/433490

ssastry closed this task as Resolved.May 22 2018, 2:46 PM
Vvjjkkii renamed this task from stripUnnecessaryIndentPreNowikis in wikitext serializer is over-aggressive and can introduce semantic diffs to 8wcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 8wcaaaaaaa to stripUnnecessaryIndentPreNowikis in wikitext serializer is over-aggressive and can introduce semantic diffs.Jul 2 2018, 5:17 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot claimed this task.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.